[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# CheckPointer

Check if a pointer is in the address range of the application

## Declaration

Source position: heaptrc.pp line 56

`procedure CheckPointer(`
`p: pointer`
`);`

## Description

CheckPointer checks if the pointer is in the address range of the application, more specifically, if it is in the heap. if not, it prints an error and stops the program with aruntime error 204.